> ## Documentation Index
> Fetch the complete documentation index at: https://developers.untetherlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

#  Get Providers Count

Retrieve the total provider count for the current filters


## OpenAPI

````yaml /openapi.json get /v1/providers/count
openapi: 3.1.0
info:
  version: 1.0.0
  title: Untether Labs API
servers:
  - url: https://app.untetherlabs.com/api
    description: Untether Labs Production API
    x-speakeasy-server-id: production
security:
  - BearerAuth: []
paths:
  /v1/providers/count:
    get:
      summary: ' Get Providers Count'
      operationId: v1_providers_count_getProvidersCount
      parameters:
        - schema:
            anyOf:
              - $ref: '#/components/schemas/EmploymentStatus'
              - type: array
                items:
                  $ref: '#/components/schemas/EmploymentStatus'
            default:
              - onboarding
              - active
          required: false
          name: status
          in: query
        - schema:
            type: string
            description: Filter by (case-insensitive) email, * wildcards allowed
          required: false
          description: Filter by (case-insensitive) email, * wildcards allowed
          name: email
          in: query
        - schema:
            anyOf:
              - type: string
                format: uuid
              - type: array
                items:
                  type: string
                  format: uuid
            description: Filter providers by team ID(s)
          required: false
          description: Filter providers by team ID(s)
          name: teamId
          in: query
        - schema:
            type: boolean
            default: false
            description: Include enrollment data for each provider
          required: false
          description: Include enrollment data for each provider
          name: includeEnrollments
          in: query
        - schema:
            type: boolean
            default: false
            description: Include skills data for each provider
          required: false
          description: Include skills data for each provider
          name: includeSkills
          in: query
        - schema:
            type: boolean
            default: false
            description: Include manager data for each provider
          required: false
          description: Include manager data for each provider
          name: includeManager
          in: query
        - schema:
            type: boolean
            default: false
            description: Include team data for each provider
          required: false
          description: Include team data for each provider
          name: includeTeam
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProvidersCountResponse'
        '400':
          description: >-
            We follow the
            [RFC-9457](https://www.rfc-editor.org/rfc/rfc9457.html) Problem
            Detail specification for error responses.


            Errors should be identified by their `type` field. You can view
            extensions for each error response below.
          content:
            application/problem+json:
              schema:
                oneOf:
                  - allOf:
                      - type: object
                        properties:
                          type:
                            type: string
                          status:
                            type: integer
                            description: Always the HTTP status code of the response
                            example: 400
                          title:
                            type: string
                            description: >-
                              A short, human-readable summary of the problem
                              type
                          detail:
                            type: string
                            description: >-
                              A human-readable explanation specific to this
                              occurrence of the problem
                            example: >-
                              The specified provider does not satisfy the skill
                              requirements for this shift.
                        required:
                          - type
                          - status
                          - title
                      - type: object
                        properties:
                          path:
                            type: string
                          message:
                            type: string
                          type:
                            type: string
                            enum:
                              - >-
                                https://developers.untetherlabs.com/errors#validation
                          title:
                            type: string
                            example: Input validation failed.
                        required:
                          - message
                          - type
                          - title
                    title: Validation
components:
  schemas:
    EmploymentStatus:
      type: string
      enum:
        - onboarding
        - active
        - dismissed
        - unmanaged
      x-fern-enum:
        onboarding: {}
        active: {}
        dismissed: {}
        unmanaged: {}
      x-speakeasy-group: v1.users
    ProvidersCountResponse:
      type: object
      properties:
        count:
          type: number
      required:
        - count
      id: ProvidersCountResponse
      x-speakeasy-group: v1.providers
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````